<?php  if ( ! defined('BASEPATH')) exit('No direct script access allowed');

/**
 * House_log Class
 *
 * 房源操作日志类，记录新增、删除、刷新、修改等操作
 *
 * @package         esf_system
 * @subpackage      Libraries
 * @category        Libraries
 * @author          liuhu
 * @link
 */
class House_log {

    protected $_uid;     //操作人uid
    protected $_ip;     //操作人ＩＰ
    protected $_city;   //操作人操作房源所在城市
    protected $_logtable    = "log_house";  //操作日志表

    /**
    * Constructor
    */
    public function __construct($params)
    {

        $CI = &get_instance();
        $CI->load->database();

        $this->_uid = $params['uid'];
        $this->_uid = $params['city'];
        
        if( !empty($params['logtable']) )
        {
            $this->_logtable    = $params['logtable'];
        }
        $CI->load->helper('function');
        $this->_ip  = get_ip();

    }


    /**
     * sub_house_log
     *
     * 提交房源操作记录
     *
     * @param	string	$tbl 操作房源类型
     * @param	int     $rowid 房源编号
     * @param	int     $operatetype 操作类型 1:新增 2:刷新 3:删除 4:修改
     * @return	bool    是否记录成功，成功返回TRUE,失败返回FALSE
     */
    public function sub_house_log($tbl,$rowid,$operatetype)
    {
       echo 123456;
    }
}

/* End of file  House_log.php */
/* Location: ./esf_system/libraries/House_log.php */
